import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 20.01.2014
  * @author 
  */

public class EiswaehlerGUI extends JFrame {
  // Anfang Attribute
  private JLabel jLabel1 = new JLabel();
  private JButton jButton1 = new JButton();
  private JLabel label_kugelAnzahl = new JLabel();
  private JSpinner jSpinner1 = new JSpinner();
    private SpinnerNumberModel jSpinner1Model = new SpinnerNumberModel(1, 1, 4, 1);
  private JTextArea jTextArea1 = new JTextArea("");
    private JScrollPane jTextArea1ScrollPane = new JScrollPane(jTextArea1);
  // Ende Attribute
  
  public EiswaehlerGUI(String title) { 
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300; 
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    
    jLabel1.setBounds(56, 8, 187, 47);
    jLabel1.setText("Eisw\u00E4hler"); //Unicode: http://www.ulimatbach.de/links/unicode_entities.html
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setFont(new Font("Arial", Font.BOLD, 36));
    cp.add(jLabel1);
    jButton1.setBounds(64, 120, 177, 49);
    jButton1.setText("Was soll ich nehmen?");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        jButton1_ActionPerformed(evt);
      }
    });
    jButton1.setFont(new Font("Arial", Font.BOLD, 14));
    cp.add(jButton1);
    label_kugelAnzahl.setBounds(56, 72, 106, 23);
    label_kugelAnzahl.setText("Kugelanzahl:");
    label_kugelAnzahl.setFont(new Font("Arial", Font.BOLD, 16));
    cp.add(label_kugelAnzahl);
    jSpinner1.setBounds(192, 72, 49, 25);
    jSpinner1.setValue(1);
    jSpinner1.setModel(jSpinner1Model);
    cp.add(jSpinner1);
    jTextArea1ScrollPane.setBounds(32, 184, 241, 81);
    cp.add(jTextArea1ScrollPane);
    // Ende Komponenten
    
    setVisible(true);
  } // end of public EiswaehlerGUI
  
  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    Eisdiele meineEisdiele = new Eisdiele();
    meineEisdiele.init();
    //int aktKugelAnzahl = 3
    int aktKugelAnzahl = ((Number)jSpinner1.getValue()).intValue();
    
    jTextArea1.setText("");//L?schen
    jTextArea1.append(meineEisdiele.getZufallsEis());
    
    if (aktKugelAnzahl>1) {
        jTextArea1.append("\n"+meineEisdiele.getZufallsEis());
    }
    if (aktKugelAnzahl>2) {
        jTextArea1.append("\n"+meineEisdiele.getZufallsEis());
    }
    if (aktKugelAnzahl>3) {
        jTextArea1.append("\n"+meineEisdiele.getZufallsEis());
    }
  } // end of jButton1_ActionPerformed

  // Ende Methoden
  
  public static void main(String[] args) {
    new EiswaehlerGUI("EiswaehlerGUI");
  } // end of main
  
} // end of class EiswaehlerGUI
